package sugartracer;

public abstract class SatSolver {
    public String cnfFileName;
    public Tracer tracer;
    
    public SatSolver(String cnfFileName) {
        this.cnfFileName = cnfFileName;
    }

    public void setTracer(Tracer tracer) {
        this.tracer = tracer;
    }

    public abstract void startSolver() throws TracerException;
    
    public abstract void stopSolver() throws TracerException;
    
    public abstract void restartSolver() throws TracerException;
    
}
