package sugartracer;

import sugartracer.decoder.Decoder;

public class TextTracer extends Tracer {

    public TextTracer(SatSolver solver, Decoder decoder) {
        super(solver, decoder);
    }

    @Override
    public synchronized void show(String[] strs) {
        String delim = "";
        for (String s : strs) {
            System.out.print(delim + s);
            delim = " ";
        }
        System.out.println();
    }
}
